#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.11
visibility:           public
id:                   stm-hamt-1.2.0.11-JtG4Y1opKbBAJ4cQIRKs63
key:                  stm-hamt-1.2.0.11-JtG4Y1opKbBAJ4cQIRKs63
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by
    <http://hackage.haskell.org/package/stm-containers the "stm-containers" library>.

category:             Data Structures, STM, Concurrency
abi:                  8524db359ec6a65d188a91872edb9659
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.Constructors.Branch StmHamt.Focuses StmHamt.IntOps
    StmHamt.ListT StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.11-JtG4Y1opKbBAJ4cQIRKs63
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-4oOYaagBJmU5z9fIKFZ1IN
    focus-1.0.3.1-FCRh2IqyI1AG1l5xjPj4aW
    hashable-1.4.2.0-ACOKJtOF9viKWyhESTEaY8
    list-t-1.0.5.4-9CVkx6RdArB9vK25GHHWB6
    primitive-0.7.4.0-GEmDUJD22mHBwXDxBmNo7T
    primitive-extras-0.10.1.6-3GPrFHYuZShHvGKwYuvv2M
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

